Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.bpm.runtime
Class ProcessInstanceNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.wli.bpm.runtime.ProcessInstanceNotFoundException

All Implemented Interfaces:
  Serializable

    public class ProcessInstanceNotFoundException

extends Exception

This exception is thrown when a process instance could not be located because it no longer exists.

See Also:
  `ProcessRuntimeMBean`, Serialized Form

Constructor Summary
`ProcessInstanceNotFoundException(String serviceURI, String instanceId)`
`ProcessInstanceNotFoundException(String serviceURI, String instanceId, Throwable cause)`

Method Summary
`String` | `getInstanceId()` Returns the instance (conversation) id of the instance that could not be found.
`String` | `getServiceURI()` Returns the Service URI of the instance that could not be found.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProcessInstanceNotFoundException

    public ProcessInstanceNotFoundException(String serviceURI,
                                            String instanceId,
                                            Throwable cause)

### ProcessInstanceNotFoundException

    public ProcessInstanceNotFoundException(String serviceURI,
                                            String instanceId)

Method Detail

### getServiceURI

    public String getServiceURI()

  Returns the Service URI of the instance that could not be found.

### getInstanceId

    public String getInstanceId()

  Returns the instance (conversation) id of the instance that could not be found.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD